Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004317TestLinkTest Specificationpublic2011-03-11 01:182011-03-18 19:07
Reporterfrl 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformTeslinkOSWindowsOS Version7
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004317: Create Test Cases from Requirements do not use expected coverage data to set default nb TC to create.
DescriptionWhen expected_coverage_mgt is enabled, it is convenient to initialize Number of Test Cases to create (from requirement) based on calculation expected_coverage - current_coverage (if returns positive value) rather than always 1.
Steps To ReproduceFrom Req Spec View Screen
- create a new requirement with NB TC NEEDED > 1
- on "Requirements Operations", activate CreateTestCases
- on screen "Create Test Cases from Requirements"
- input field in column "Create" is initialized with constant value 1
(whereas columns Needed >1 and Coverage = 0)
Additional InformationI just propose few lines changes in reqCreateTestCases.tpl (enclosed beetween CONTRIB FRL and END CONTRIB FRL in attached file) :

TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql 5.1
BrowserIE 8
PHP Version5.3
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon reqCreateTestCases.tpl [^] (6,482 bytes) 2011-03-11 01:18
? file icon reqCreateTestCases (2nd).tpl [^] (8,021 bytes) 2011-03-14 00:02

- Relationships

-  Notes
(0013850)
Julian (reporter)
2011-03-11 07:04

Maybe an icon that sets all values to max is the better solution. (compare to check all checkboxes icon)
From my experience sometimes it is not wanted to create all required test cases in one step.
(0013860)
frl (reporter)
2011-03-14 00:20

I agree - So I tried to implement it in the attached file (2nd version of ReqCreateTestCases.tpl), with :

- A new javascript function to switch beween coverage value / constant "1" for all lines of table
- A new icon (reusing bitmap (+)) in table header to call this function displayed only if $gui->req_cfg->expected_coverage_management is TRUE
- A new (hidden) field containing coverage value to set for each line
All changes is marked with comments CONTRIB FRL
Tests made with IE 8 (but all changes only uses standard functionnalities)
(0013861)
Julian (reporter)
2011-03-14 08:03

Thanks for your contribution!
I checked it and it works - i will make some minor changes and provide your contribution with Testlink 1.9.2.
(0013863)
Julian (reporter)
2011-03-14 08:46

added to master:
http://gitorious.org/testlink-ga/testlink-code/commit/a899b7fd409049d26c63d1634f326b0622586ef1 [^]

added to branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/e45f04e2d21c284fe4c5345f82b2adcfcbdc2029 [^]
(0013916)
fman (administrator)
2011-03-18 19:07

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2011-03-11 01:18 frl New Issue
2011-03-11 01:18 frl File Added: reqCreateTestCases.tpl
2011-03-11 07:04 Julian Note Added: 0013850
2011-03-14 00:02 frl File Added: reqCreateTestCases (2nd).tpl
2011-03-14 00:20 frl Note Added: 0013860
2011-03-14 08:03 Julian Note Added: 0013861
2011-03-14 08:21 Julian Assigned To => Julian
2011-03-14 08:21 Julian Status new => assigned
2011-03-14 08:46 Julian Note Added: 0013863
2011-03-14 08:46 Julian Status assigned => resolved
2011-03-14 08:46 Julian Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-03-14 08:46 Julian Resolution open => fixed
2011-03-18 19:07 fman Note Added: 0013916
2011-03-18 19:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker